import partial from 'lodash.partial';
import { aggregate } from './aggregate/aggregate';
import { readModel } from './read-model/read-model';
import { saga } from './saga/saga';
export var givenEvents = function givenEvents(events) {
  if (events === void 0) {
    events = [];
  }

  var givenEventsContext = {
    events: events
  };
  return {
    aggregate: partial(aggregate, givenEventsContext),
    readModel: partial(readModel, givenEventsContext),
    saga: partial(saga, givenEventsContext),
    then: function then() {
      throw Error("Incomplete BDD test configuration! Please, provide an aggregate, a read model or a saga.");
    }
  };
};
//# sourceMappingURL=given-events.js.map