import isEqual from 'lodash.isequal';
import { stringifyDiff } from '../../utils/format';
export var shouldReturn = function shouldReturn(context, expectedResult) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Assertion cannot be assigned if the test was executed.");
  }

  if (environment.getAssertion() != null) {
    throw Error("The test assertion already assigned.");
  }

  environment.setAssertion(function (resolve, reject, result, error, negated) {
    if (error) {
      return reject(new Error("expected a value, but received an error " + error));
    }

    var success = isEqual(result, expectedResult);

    if (negated) {
      success = !success;
    }

    if (success) {
      return resolve(result);
    }

    return reject(new Error("should" + (negated ? 'Not' : '') + "Return assertion failed:\n " + stringifyDiff(expectedResult, result)));
  });
  return environment.promise;
};
//# sourceMappingURL=should-return.js.map