"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.givenEvents = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _aggregate = require("./aggregate/aggregate");

var _readModel = require("./read-model/read-model");

var _saga = require("./saga/saga");

var givenEvents = function givenEvents(events) {
  if (events === void 0) {
    events = [];
  }

  var givenEventsContext = {
    events: events
  };
  return {
    aggregate: (0, _lodash["default"])(_aggregate.aggregate, givenEventsContext),
    readModel: (0, _lodash["default"])(_readModel.readModel, givenEventsContext),
    saga: (0, _lodash["default"])(_saga.saga, givenEventsContext),
    then: function then() {
      throw Error("Incomplete BDD test configuration! Please, provide an aggregate, a read model or a saga.");
    }
  };
};

exports.givenEvents = givenEvents;
//# sourceMappingURL=given-events.js.map