"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.setSecretsManager = exports.withSecretsManager = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _as = require("./as");

var _not = require("./not");

var _shouldReturn = require("./should-return");

var withSecretsManager = function withSecretsManager(context, manager) {
  var environment = context.environment;

  if (environment.isExecuted()) {
    throw Error("Secrets manager cannot be assigned if the test was executed.");
  }

  environment.setSecretsManager(manager);
  return Object.assign(environment.promise, {
    as: (0, _lodash["default"])(_as.as, context),
    shouldReturn: (0, _lodash["default"])(_shouldReturn.shouldReturn, context),
    not: (0, _lodash["default"])(_not.not, context)
  });
}; // FIXME: deprecated


exports.withSecretsManager = withSecretsManager;

var setSecretsManager = function setSecretsManager(context, manager) {
  // eslint-disable-next-line no-console
  console.warn("'setSecretsManager' deprecated, you should use withSecretsManager instead");
  return withSecretsManager(context, manager);
};

exports.setSecretsManager = setSecretsManager;
//# sourceMappingURL=with-secrets-manager.js.map