import { SerializableMap } from '@resolve-js/core';
import { OmitFirstArgument, QueryTestResult, ReadModelContext } from '../../types';
import { as } from './as';
import { setSecretsManager, withSecretsManager } from './with-secrets-manager';
import { shouldReturn } from './should-return';
import { not } from './not';
export declare type QueryNode = {
    as: OmitFirstArgument<typeof as>;
    withSecretsManager: OmitFirstArgument<typeof withSecretsManager>;
    setSecretsManager: OmitFirstArgument<typeof setSecretsManager>;
    shouldReturn: OmitFirstArgument<typeof shouldReturn>;
    not: OmitFirstArgument<typeof not>;
} & Promise<QueryTestResult>;
export declare const query: (readModelContext: ReadModelContext, resolver: string, args?: SerializableMap | undefined) => QueryNode;
